//#region ../../node_modules/@iconify/utils/lib/svg/defs.js
function e(e, t = "defs") {
	let n = "", r = e.indexOf("<" + t);
	for (; r >= 0;) {
		let i = e.indexOf(">", r), a = e.indexOf("</" + t);
		if (i === -1 || a === -1) break;
		let o = e.indexOf(">", a);
		if (o === -1) break;
		n += e.slice(i + 1, a).trim(), e = e.slice(0, r).trim() + e.slice(o + 1);
	}
	return {
		defs: n,
		content: e
	};
}
function t(e, t) {
	return e ? "<defs>" + e + "</defs>" + t : t;
}
function n(n, r, i) {
	let a = e(n);
	return t(a.defs, r + a.content + i);
}
//#endregion
export { n as wrapSVGContent };
